slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPTOARSetRestart

Sets the restart parameter for the TOAR method, in particular the proportion of basis vectors that must be kept after restart.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPTOARSetRestart(PEP pep,PetscReal keep)

Logically Collective

### Input Parameters

| pep | - the eigenproblem solver context
| keep | - the number of vectors to be kept at restart

### Options Database Key

| -pep_toar_restart | - Sets the restart parameter

### Notes

Allowed values are in the range [0.1,0.9]. The default is 0.5.

### See Also

PEPTOARGetRestart()

### Level

advanced

### Location

src/pep/impls/krylov/toar/ptoar.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages